Bug 155408 - [PATCH] add support for USE_GCC_BUILD to bsd.port.mk
Summary: [PATCH] add support for USE_GCC_BUILD to bsd.port.mk
Status: Closed Feedback Timeout
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-09 14:20 UTC by Martin Matuska
Modified: 2016-07-16 12:05 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1.85 KB, patch)
2011-03-09 14:20 UTC, Martin Matuska
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Matuska freebsd_committer 2011-03-09 14:20:17 UTC
Add an option to just build a port with a gcc from ports but not depend on it.
E.g. ports written in C compiled with gcc45 or gcc46 usually do not need linking against libgcc.
Comment 1 Edwin Groothuis freebsd_committer 2011-03-09 14:20:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

bsd.port.mk is portmgr territory (via the GNATS Auto Assign Tool)
Comment 2 Pav Lucistnik freebsd_committer 2011-04-24 21:32:29 UTC
State Changed
From-To: open->feedback

Can you provide at least one port converted to use the new knob, so we can 
easily test the patch on it? Thanks.
Comment 3 Erwin Lansing freebsd_committer 2012-05-12 02:53:05 UTC
State Changed
From-To: feedback->closed

No feedback in over a year, closing.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2016-07-16 12:05:16 UTC
Correctly declare resolution (timeout, not fixed)